Subject: Misleading error message from configure

From: [email-masked]
Date: Thu, 13 Jan 2000 08:18:01 -0600 (CST)

Full_Name: Jakob Schiøtz
Version: 2.2.4
CVS_Date: 
OS: AIX 4.1.5
X_Server: 
Submission from: (NULL) (130.225.86.6)

I have just installed fvwm2 on an IBM RS/6000 running AIX.  I had some
problems due to a rather misleading error message from configure:

[zeise] 85:fvwm-2.2.4>./configure --with-xpm-library=/usr/local/lib/X11 \
        --with-xpm-includes=/usr/local/include \
        --with-readline-library=/usr/unic/lib \
        --with-readline-includes=/usr/unic/include
   [ ... Most output deleted ... ]
checking for strncasecmp... yes
checking for strerror... yes
checking for usleep... yes
checking for atexit... yes
configure: error: argument must be boolean
[zeise] 86:fvwm-2.2.4>

config.log does not contain any information, not even the error message.

So what does this mean? You are welcome to try to guess :-) ....

.... I assumed that it was a problem with atexit, but after some time I
discovered that it means that I had specified an incorrect directory
in the --with-xpm-library option.  When looking at the configure script
it looks like the error message really means "the argument is neither "yes"

nor "no" nor a directory or file name.

I don't know if it is fvsm2 or autoconf that is "guilty", but I think that
this is so uninformative that it should be considered a bug.  At least
it should indicate which option is causing trouble.

A part from this (and another small buglet reported separately)
installation
was painless.  Thanks for FVWM2, it is really nice!

Best regards,

Jakob Schiøtz
Department of Physics
Technical University of Denmark.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]